# ﻿#!/bin/sh
# VERSION 1.0
# AUTHOR  Jean-Yves ROCHER
# Modifications : ACIAH et Pierre Estrem, juin 2022
# NAME : Lecture à la volée
# DESCRIPTION : Script pertettant la lecture en direct de fichiers images jpg, png, tif, pdf
# Décommenter les deux lignes suivantes pour récupérer les log du script et les afficher en direct dans un terminal
# exec 1>>/var/log/aciah/lireALaVolee.log 2>>/var/log/aciah/lireALaVolee.log
# xterm -e "tail -f /var/log/aciah/lireALaVolee.log" &
 FICHIER=`basename $1`
 FILE=`basename ${FICHIER%.*}`
 CHEMIN=`dirname $1`
 REPLECTURE="$HOME"/Machine-a-lire
 TYPE=`mimetype -i -b $1`

aplay /usr/local/share/advl/beep.wav

rm resul.txt
rm result.txt
rm provisoire.txt
rm prov.txt
rm volee.txt
rm *.tmp
rm *.tmp.*

######## Fichier de type doc  ############

######### Fichier de type PDF   #########
mkdir $HOME/Machine-a-lire
 if [ ! -z "`echo "$TYPE" | grep -i 'pdf' `" ]; then
         pdftoppm -r 200 -tiff "$CHEMIN"/"$FICHIER" "$REPLECTURE"/alavolee
             for alavolee in "$REPLECTURE"/*.tif; do
tesseract "$alavolee" volee
x-terminal-emulator -e /usr/local/bin/lecture.sh volee.txt
             done

#rm volee.* 
rm $HOME/Machine-a-lire/alavolee*

fi
########  Fichier de type PNG ou JPG   #####
  if [ ! -z "`echo "$TYPE" | grep -i -e 'png' `" ]; then echo  
tesseract "$CHEMIN"/"$FICHIER" resul
x-terminal-emulator -e /usr/local/bin/lecture.sh resul.txt
rm resul.txt

  fi

  if [ ! -z "`echo "$TYPE" | grep -i -e 'jpeg' `" ]; then echo  
tesseract "$CHEMIN"/"$FICHIER" result
x-terminal-emulator -e /usr/local/bin/lecture.sh result.txt
rm result.txt

  fi


######## Fichier de type docx  ############

if [ ! -z "`echo "$TYPE" | grep -i 'docx' `" ]; then
pdftotext -layout /usr/local/share/advl/patientez.pdf - | espeak -a 200 -v mb-fr1 -s 150
fi
pandoc "$CHEMIN"/"$FICHIER" -o provisoire.txt
x-terminal-emulator -e /usr/local/bin/lecture.sh provisoire.txt
rm provisoire.txt


fi

######## Fichier de type odt  ############

if [ ! -z "`echo "$TYPE" | grep -i 'odt' `" ]; then
pdftotext -layout /usr/local/share/advl/patientez.pdf - | espeak -a 200 -v mb-fr1 -s 150
fi
odt2txt "$CHEMIN"/"$FICHIER" -o prov.txt
rm prov.txt
#pdftotext -layout /usr/local/share/advl/terminer.pdf - | espeak -a 200 -v mb-fr1 -s 130
fi

exit 
